Name:           btop
Version:        1.3.0
Release:        2%{?dist}
Summary:        Modern and colorful command line resource monitor that shows usage and stats

License:        Apache-2.0 and MIT and Public Domain
URL:            https://github.com/aristocratos/btop
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  make

BuildRequires:  rocm-smi-devel

Requires:       hicolor-icon-theme

Provides:       bundled(widecharwidth)
Provides:       bundled(robin-hood-hashing) = 3.11.5

%description
Resource monitor that shows usage and stats for processor,
memory, disks, network and processes.

C++ version and continuation of bashtop and bpytop.

%prep
%autosetup


%build
export CXXFLAGS="${CXXFLAGS} -g"
%make_build


%install
%make_install PREFIX=%{_prefix}
rm -f %{buildroot}%{_datadir}/btop/README.md
desktop-file-validate %{buildroot}%{_datadir}/applications/btop.desktop


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/applications/btop.desktop
%{_datadir}/btop
%{_datadir}/icons/hicolor/*/apps/btop.*

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- rebase to add ocs and ts macros

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
